## prog.utili
Class SintassiDataScorretta

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  prog.utili.SintassiDataScorretta

All Implemented Interfaces:
  java.io.Serializable

    public class SintassiDataScorretta

extends java.lang.RuntimeException

Segnala un errore di sintassi nel formato della stringa utilizzata per la costruzione di un oggetto `Data`.

Version:
  2.0
Author:
  Mauro Ferrari, Giovanni Pighizzini
See Also:
  Serialized Form

Constructor Summary
`SintassiDataScorretta()` Costruisce un'istanza di `SintassiDataScorretta`.
`SintassiDataScorretta(java.lang.String messaggio)` Costruisce un'istanza `SintassiDataScorretta` con il messaggio specificato come argomento.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SintassiDataScorretta

    public SintassiDataScorretta()

  Costruisce un'istanza di `SintassiDataScorretta`.

### SintassiDataScorretta

    public SintassiDataScorretta(java.lang.String messaggio)

  Costruisce un'istanza `SintassiDataScorretta` con il messaggio specificato come argomento.

  Parameters:
    `messaggio` - il messaggio.